using e_suite.API.Common;
using e_suite.API.Common.repository;
using e_suite.UnitTestCore;
using Moq;

namespace e_suite.Modules.MailTemplatesManager.UnitTests.Helpers;

public class MailTemplatesManagerTestBase : TestBase
{
    protected Mock<IMailTemplatesManagerRepository> MailTemplatesManagerRepositoryMock = null!;
    protected Mock<IDomainRepository> DomainRepositoryMock = null!;
    protected IMailTemplateManager MailTemplateManager = null!;

    public override async Task Setup()
    {
        await base.Setup();

        MailTemplatesManagerRepositoryMock = new Mock<IMailTemplatesManagerRepository>();
        DomainRepositoryMock = new Mock<IDomainRepository>();

        MailTemplateManager =
            new MailTemplateManager(MailTemplatesManagerRepositoryMock.Object, DomainRepositoryMock.Object);
    }
}